#include<iostream>
#include<string>
#include<vector>
using namespace std;
int str(string s,int n)
{
    if(n<=26) return 0;
    vector<int>v(26,0);
    for(int i=0;i<n;i++)
    {
        v[int(s[i])-65]++;
    }
    if(n==27)
    {
        int a=0;
        for(int i=0;i<n;i++)
        {
            if(v[i]==0) return 0;
            if(v[i]>1) a++;
        }
        if(a==1) return 1;
        else return 0;
    }
    return 0;
}
int main()
{
    ios_base::sync_with_stdio(false);
    int n;
    cin>>n;
    string s;
    cin>>s;
    cout<<str(s,n);
    return 0;
}